Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 236951 - RHEL5 RT kernel config to be verified for various DEBUG options being off
Summary: RHEL5 RT kernel config to be verified for various DEBUG options being off
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel
Version: 1.0
Hardware: All
OS: Linux
medium
urgent
Target Milestone: ---
: ---
Assignee: Clark Williams
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-18 17:17 UTC by IBM Bug Proxy
Modified: 2008-02-27 19:58 UTC (History)
0 users

Fixed In Version: 2.6.21-31.el5rt
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-20 16:38:04 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
IBM Linux Technology Center 34016 0 None None None Never

Description IBM Bug Proxy 2007-04-18 17:17:02 UTC
LTC Owner is: ankigarg@in.ibm.com
LTC Originator is: ankigarg@in.ibm.com


The default RHEL5 RT kernel config has options like CONFIG_DEBUG_PREEMPT,
CONFIG_LATENCY_TIMING, CONFIG_WAKEUP_TIMING on. These options induce latencies
and so must be off by default. 

This bug is track RHEL5 RT GA kernel config

The kernel config being referred to is the one bundled with 
kernel-rt-2.6.20-0119.rt8.x86_64.rpm

Comment 1 IBM Bug Proxy 2007-05-14 08:20:39 UTC
----- Additional Comments From ankigarg@in.ibm.com (prefers email at ankita@in.ibm.com)  2007-05-14 04:15 EDT -------
I have verified that the config options CONFIG_DEBUG_PREEMPT,
CONFIG_LATENCY_TIMING, CONFIG_WAKEUP_TIMING have been set off by default in the
2.6.21 rt kernel config. 

Comment 2 IBM Bug Proxy 2007-05-21 19:20:26 UTC
----- Additional Comments From dvhltc@us.ibm.com  2007-05-21 15:15 EDT -------
So can we close this? 

Comment 3 Clark Williams 2007-05-21 19:35:42 UTC
yes, go ahead and close it please.


Note You need to log in before you can comment on or make changes to this bug.